<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-advanced.qdoc -->
  <title>Advanced Use | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Advanced Use</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-autotest.html" />
  <link rel="next" href="creator-os-supported-platforms.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-autotest.html">Running Autotests</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-os-supported-platforms.html">Supported Platforms</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#related-topics">Related Topics</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Advanced Use</h1>
<span class="subtitle"></span>
<!-- $$$creator-advanced.html-description -->
<div class="descr"> <a name="details"></a>
<p class="centerAlign"><img src="images/creator_advanceduse.png" alt="" /></p><p>Qt Creator attempts to meet your development needs, whether you are an experienced Qt developer or a newcomer to Qt. When you install Qt Creator as a part of Qt, the default configuration allows you to start coding, building, running and debugging applications with very little effort.</p>
<p>However, you can easily change or extend the default configuration, by choosing a different build system or integrating external tools.</p>
<p>You can also use special options to start Qt Creator from the command line and use it mainly from the keyboard.</p>
<ul>
<li><a href="creator-os-supported-platforms.html">Supported Platforms</a><p>You can install and run Qt Creator on several operating systems to create applications for multiple desktop and <a href="creator-glossary.html#glossary-device">device</a> platforms.</p>
</li>
<li><a href="creator-project-other.html">Using Other Build Systems</a><p>Qt Creator is integrated with cross-platform systems for build automation: qmake, Qbs, CMake, and Autotools. In addition, you can import generic projects that do not use those systems, and specify that Qt Creator ignores your build system.</p>
</li>
<li><a href="creator-cli.html">Using Command Line Options</a><p>You can start Qt Creator and specify some options for running it from the command line.</p>
</li>
<li><a href="creator-keyboard-shortcuts.html">Keyboard Shortcuts</a><p>Qt Creator provides various keyboard shortcuts to speed up your development process. You can change the keyboard shortcuts, as well as import and export keyboard shortcut mapping schemes.</p>
</li>
<li><a href="creator-editor-external.html">Using External Tools</a><p>You can use external tools directly from Qt Creator. Qt Linguist, QML preview tools (QML Viewer and QML Scene), the default text editor for your system, and the <code>sort</code> tool are preconfigured for use. You can change their default configurations and configure new tools.</p>
</li>
</ul>
<a name="related-topics"></a>
<h2 id="related-topics">Related Topics</h2>
<ul>
<li><a href="creator-task-lists.html">Showing Task List Files in Issues Pane</a><p>You can load report files created by code scanning and analysis tools to the <b>Issues</b> output pane. You can navigate to the corresponding source code by clicking the error message or by using keyboard shortcuts.</p>
</li>
</ul>
</div>
<!-- @@@creator-advanced.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-autotest.html">Running Autotests</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-os-supported-platforms.html">Supported Platforms</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
